Skip to main content
GET
List applications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer_id
string<uuid>[]

A list of customer unique identifiers, with a comma separating any values.

The unique identifier of a customer

business_id
string<uuid>[]

A list of business unique identifiers, with a comma separating any values.

The unique identifier of a business

status
enum<string>

Application status values for all types of applications

Available options:
APPROVED,
CREDIT_ACCEPTED_BY_CUSTOMER,
CREDIT_APPROVED,
CREDIT_DENIED,
CREDIT_NOT_ACCEPTED_BY_CUSTOMER,
DENIED,
IN_PROGRESS,
REVIEW_INFO_REQUESTED,
REVIEW_ON_SYNCTERA,
SUBMITTED
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

type
enum<string>

Type of application

The type of the application to require.

  • CREDIT: Credit application
  • LINE_OF_CREDIT: (Deprecated) Line of credit application (if provided, this will be converted to a CREDIT type in the response)
  • RESTRICTED_ACCOUNT: restricted account application
Available options:
CREDIT,
LINE_OF_CREDIT,
RESTRICTED_ACCOUNT
sort_by
string

Optional sort by query parameter. The direction is delimited by ':' and multiple sort fields are delimited by ','

Example:

"account_id:desc,name:asc"

Response

List of applications.

applications
(Credit application details · object | Restricted account application details · object | Line of Credit application response · object | Credit card application response · object)[]
required

Array of applications.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"